#!/usr/bin/env python

import logging.config

from pycs import app
from pycs import htpasswd
from pycs import settings
from pycs.frontend.WebServer import WebServer
from pycs.management import setup_commands

logging.config.dictConfig(settings.logging)
setup_commands(app)

if __name__ == '__main__':
    server = WebServer(app, htpasswd, settings)
    server.run()
